## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 15;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit  0ecff52b11c327af52b22ea94b268c90472b6732
%global date    20230528
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global corename gw

Name:           libretro-%{corename}
Version:        0
Release:        7.%{date}git%{shortcommit}.%autorelease
Summary:        Libretro core for Game & Watch simulators

License:        zlib
URL:            https://github.com/libretro/gw-libretro
Source0:        %{url}/archive/%{commit}/%{name}-%{version}.%{date}git%{shortcommit}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  make

Supplements:    retroarch

Provides:       bundled(lua) = 5.3.0

%description
gw-libretro is a libretro core that runs Game & Watch simulators.

It runs simulators converted from source code for the games available at
MADrigal. Each simulator is converted with pas2lua, which was written
specifically for this purpose, and uses bstree, which was also specifically
written to obfuscate the generated Lua source code as per MADrigal's request.


%prep
%autosetup -n %{corename}-libretro-%{commit}


%build
%set_build_flags
%make_build


%install
install -m 0755 -Dp %{corename}_libretro.so %{buildroot}%{_libdir}/libretro/%{corename}_libretro.so


%files
%license LICENSE
%doc README.md
%{_libdir}/libretro/


%changelog
* Wed Sep 13 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0-15
- chore: Update to latest git snapshot

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Oct 04 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0-12
- chore(update): Latest git snapshot

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Apr 26 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0-10
- chore(update): Latest git snapshot

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-7.20210802git7b3e374
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Oct 05 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0-6.20210802git7b3e374
- chore(update): Latest git snapshot

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-5.20210425git6b99e77
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 03 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0-4.20210425git6b99e77
- build(update): Latest git snapshot

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-3.20200213git819b1dd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-2.20200213git819b1dd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Feb 13 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0-1.20200213git819b1dd
- Initial package

